Bug 84748 - Selected area not correctly displayed after the Find bar is closed
Summary: Selected area not correctly displayed after the Find bar is closed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2014-10-07 11:14 UTC by B.J. Herbison
Modified: 2019-11-02 11:25 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description B.J. Herbison 2014-10-07 11:14:25 UTC
Steps to reproduce:
* Create a new spreadsheet.
* If the Find Bar is not visible press control-F to display the find bar.
* Click outside of the Find Bar area.
* Select All (from the menu, with control-A, or by clicking the select all area left of "A" above "1").
* Press control-F Escape.

Expected:
- All visible cells tinted as selected.

Actual:
- The bottom row or two (depending on operating system and window size) are not tinted.

The selection are is correct (as can be verified by repeating the experiment with text in the boxes and using copy and paste), only the display is incorrect.

The bug occurs with selection areas other than "select all", but "select all" was chosen as a simple way to demonstrate the issue.

Observed on Ubuntu and Windows 7.
Comment 1 ign_christian 2014-10-07 13:55:32 UTC
Reproduced with various version from LO 4.2.7.1 - 3.5.7.2 under Ubuntu 12.04 x86

Seems it's occured since the feature introduced.
Comment 2 B.J. Herbison 2015-01-08 01:53:08 UTC
I've noticed a variations on this problem. Start with a non-full size window. Select an area only partially displayed (select all, or navigate to a defined region), and then maximize the window.

The visible selection indicator is only the area previously visible. (But again the actual selection is correct.)

Should this be reported in a new bug report, or is it the same problem as this bug report?
Comment 3 QA Administrators 2016-01-17 20:04:25 UTC Comment hidden (obsolete)
Comment 4 B.J. Herbison 2016-01-22 02:42:23 UTC
This longstanding bug in all its various forms is still present in Version: 5.0.4.2 on Windows 7. The bug also appears in the Calc version on the version installed in Ubuntu 15.10.
Comment 5 QA Administrators 2017-10-23 14:01:57 UTC Comment hidden (obsolete)
Comment 6 B.J. Herbison 2017-10-25 10:29:06 UTC
This longstanding bug in all its various forms is still present in Version: 5.4.1.2 on Ubuntu. I see the problem several times a day.
Comment 7 QA Administrators 2018-10-26 02:58:34 UTC Comment hidden (obsolete)
Comment 8 B.J. Herbison 2018-10-31 21:49:52 UTC
This longstanding bug in all its various forms is still present in Version: 6.0.6.2 on Ubuntu. I see the problem several times a day.
Comment 9 QA Administrators 2019-11-01 03:37:14 UTC Comment hidden (obsolete)
Comment 10 B.J. Herbison 2019-11-02 11:25:25 UTC
This longstanding bug in all its various forms is still present in Version: 6.3.3.2 on Ubuntu. I see the problem several times a day.